package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103Creator;

import java.util.List;

/**
 * @author wanggang
 * @date 2023/2/20
 */
public class Tag23ECreator extends AbsTagCreate {

     private MT103Creator mt103Creator;

    public Tag23ECreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt103Creator= (MT103Creator) absMTCreator;
    }

    public void creator()
    {
        List tag23EValue = mt103Creator.getInstructionCode();
        if(tag23EValue != null) { mt103Creator.set("23E", tag23EValue, true); }
    }
}

